## yorick-mira 0.9.9+dfsg1

=== debian/changelog ===
yorick-mira (0.9.9+dfsg1-2) unstable; urgency=low

  * Set DMUA field
  * remove extraneous file /usr/share/doc/yorick-mira/examples/mira-auto.i
  * move to section "science"

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 07 Apr 2010 18:06:28 +0200

yorick-mira (0.9.9+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #561490)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 22 Mar 2010 11:52:34 +0100
