=== debian/control ===
Source: yorick-mira
Section: science
Priority: extra
Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
Build-Depends: debhelper (>= 7.0.50~), yorick-dev (>=  2.1.05+dfsg-2~bpo40+1)
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Homepage: http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/mira.html

Package: yorick-mira
Architecture: all
Depends: ${misc:Depends}, yorick-yeti (>= 6.2.0) , yorick-yeti-fftw (>=6.2.0), yorick-yutils, yorick-optimpack (>= 1.3), yorick (>= 2.1.05)
Description: optical intreferometry image reconstruction within Yorick
 MiRA is an algorithm for image reconstruction from data provided by
 optical interferometers. It is written in the Yorick language and
 operated through the Yorick interpreter.
 .
 MiRA won the 2008' Interferometric Imaging Beauty Contest organized
 by International Astronomical Union (IAU) to compare the image
 synthesis algorithms designed for optical interferometry.  In a
 nutshell, MiRA proceeds by direct minimization of a penalized
 likelihood. This penalty is the sum of two terms: a likelihood term
 (typically a χ2) which enforces agreement of the model with the data,
 plus a regularization term to account for priors. The priors are
 required to lever the many degeneracies due to the sparseness of the
 spatial frequency sampling. MiRA implements many different
 regularizations (quadratic or edge-preserving smoothness, total
 variation, maximum entropy, etc.) and let the user defines his own
 priors. The likelihood penalty is modular and designed to account for
 available data of any kind (complex visibilities, powerspectra and/or
 closure phase). One of the strength of MiRA is that it is purely
 based on an inverse problem approach and can therefore cope with
 incomplete data set; for instance, MiRA can build an image without
 any Fourier phase information. Input data must be in OI-FITS format.
