## yorick-mira 0.9.10

=== debian/changelog ===
yorick-mira (0.9.10-2) unstable; urgency=low

  * Bump version in mira.info

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 10 May 2011 11:43:42 +0200

yorick-mira (0.9.10-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "yorick-yeti 6.3.1 breaks yorick-mira", (Closes: #625619).
  * Check against policy 3.9.1.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Mon, 09 May 2011 18:43:35 +0200
