=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: extra
 Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
 Build-Depends: debhelper (>= 7.0.50~), yorick-dev (>=  2.1.05+dfsg-2~bpo40+1)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 DM-Upload-Allowed: yes
 Homepage: http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/mira.html
 
 Package: yorick-mira
 Architecture: all
-Depends: ${misc:Depends}, yorick-yeti (>= 6.2.0) , yorick-yeti-fftw (>=6.2.0), yorick-yutils, yorick-optimpack (>= 1.3), yorick (>= 2.1.05)
+Depends: ${misc:Depends}, yorick-yeti (>= 6.3.1) , yorick-yeti-fftw (>=6.3.1), yorick-yutils, yorick-optimpack (>= 1.3), yorick (>= 2.1.05)
 Description: optical intreferometry image reconstruction within Yorick
  MiRA is an algorithm for image reconstruction from data provided by
  optical interferometers. It is written in the Yorick language and
