## yorick-mira 0.9.10+dfsg

=== debian/changelog ===
yorick-mira (0.9.10+dfsg-1) unstable; urgency=low

  * remove the non-dfsg data/ directory

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Fri, 29 Jun 2012 14:04:14 +0200

yorick-mira (0.9.10-4) unstable; urgency=low

  * Amend debian/control to abide by Debian Science Policy
  * Updated copyright

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 27 Jun 2012 12:58:04 +0200

yorick-mira (0.9.10-3) unstable; urgency=low

  * Bug fix: "Typo in package description: &quot;intreferometry&quot;",
    thanks to Bernhard Kuemel (Closes: #655307).

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Sun, 01 Apr 2012 19:51:18 +0200
