=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_install:
	dh_installyorick

%:
	dh  $@
