=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d$// \
 http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/mira.html \
 files/mira-(.*).tar.bz2
