=== debian/changelog ===
yorick-mira (1.1.0+git20170124.3bd1c3~dfsg1-2) unstable; urgency=low

  * Bug fix: "ymira crashes when trying to fit several wavelengths"
    (Closes: #856835).

 -- Thibaut Paumard <thibaut@debian.org>  Sun, 05 Mar 2017 11:43:23 +0100

yorick-mira (1.1.0+git20170124.3bd1c3~dfsg1-1) unstable; urgency=low

  * New upstream version 1.1.0+git20170124.3bd1c3~dfsg1

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 25 Jan 2017 12:30:39 +0100

yorick-mira (1.1.0~dfsg1-2) unstable; urgency=low

  * Rename u/usr/bin/mira to /usr/bin/ymira

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 19 Jan 2017 13:03:43 +0100

yorick-mira (1.1.0~dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 18 Jan 2017 17:33:33 +0100
