=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: yorick-mira
 Section: science
 Priority: extra
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
-Build-Depends: debhelper (>= 7.0.50~), yorick-dev (>=  2.1.05+dfsg-2~bpo40+1)
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
-Vcs-Git: git://git.debian.org/git/debian-science/packages/yorick-mira.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yorick-mira.git
-Homepage: http://www-obs.univ-lyon1.fr/labo/perso/eric.thiebaut/mira.html
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Thibaut Paumard <thibaut@debian.org>
+Build-Depends: debhelper (>= 9), yorick-dev (>=  2.1.05+dfsg-2~bpo40+1)
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/yorick-mira.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-astro/packages/yorick-mira.git
+Homepage: https://cral.univ-lyon1.fr/labo/perso/eric.thiebaut/?Software/MiRA
 
 Package: yorick-mira
 Architecture: all
-Depends: ${misc:Depends}, yorick-yeti (>= 6.3.1) , yorick-yeti-fftw (>=6.3.1), yorick-yutils, yorick-optimpack (>= 1.3), yorick (>= 2.1.05)
+Depends: ${misc:Depends}, yorick-yeti (>= 6.3.1) , yorick-yeti-fftw (>=6.3.1),
+         yorick-yutils, yorick-optimpacklegacy, yorick (>= 2.2.03),
+         yorick-ynfft
 Description: optical interferometry image reconstruction within Yorick
  MiRA is an algorithm for image reconstruction from data provided by
  optical interferometers. It is written in the Yorick language and
