=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_install:
	dh_installyorick --no-make-install

override_dh_auto_test:
override_dh_auto_configure:

%:
	dh  $@
