=== debian/watch ===
version=3
opts="dversionmangle=s/\~dfsg\d$//,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/yorick-mira-$1\.tar\.gz/" \
  https://github.com/emmt/MiRA/tags .*/release-?(\d\S+)\.tar\.gz
